﻿// ===============================================================================
//  解决方案：网鸟基础类库
//  项目名称：Net.Htmlbird.Framework
//  文件名称：LogType.cs
//  代码作者：网鸟老兵团(Me.YMind)
//  创建时间：2011-11-14 17:44
// ===============================================================================

using System;

namespace Net.Htmlbird.Framework.Logging
{
	/// <summary>
	/// 表示日志类型的枚举值。
	/// </summary>
	[Serializable]
	public enum LogType
	{
		/// <summary>
		/// 信息。
		/// </summary>
		[ColoredEnumDescription("信息", "#000000")]
		Info = 0,

		/// <summary>
		/// 警告。
		/// </summary>
		[ColoredEnumDescription("警告", "#0000FF")]
		Warnning = 1,

		/// <summary>
		/// 错误。
		/// </summary>
		[ColoredEnumDescription("错误", "#FF0000")]
		Error = 2
	}
}
