﻿// ===============================================================================
//  解决方案：网鸟基础类库
//  项目名称：FrameworkTests
//  文件名称：LogTypeUnitTests.cs
//  代码作者：陈彦铭(ymind)
//  创建时间：2012-03-22 11:35
// ===============================================================================

using System.Diagnostics;
using NUnit.Framework;
using Net.Htmlbird.Framework;
using Net.Htmlbird.Framework.Logging;

namespace FrameworkTests.HtmlbirdFramework
{
	[TestFixture]
	public sealed class LogTypeUnitTests
	{
		[Test]
		public void ApplyTest()
		{
			var logTypeVictor = new EnumVictor<LogType, ColoredEnumDescriptionAttribute>();

			var title = logTypeVictor[LogType.Error].Description;
			var color = logTypeVictor[LogType.Error].ForeColor;
			var html = logTypeVictor[LogType.Error].ToHTML("http://www.cnblogs.com/ymind/");

			Trace.WriteLine(title);
			Trace.WriteLine(color);
			Trace.WriteLine(html);
		}
	}
}
